Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161000 - OOo calc dies when selecting text
Summary: OOo calc dies when selecting text
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Caolan McNamara
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-19 16:52 UTC by Paul F. Johnson
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.9.112
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-06-28 12:00:03 UTC


Attachments (Terms of Use)

Description Paul F. Johnson 2005-06-19 16:52:13 UTC
Description of problem:
When selecting a word in the formula editor by double clicking on the word, OOo
Calc dies

Version-Release number of selected component (if applicable):
1.9.109-6

How reproducible:
Not sure

Steps to Reproduce:
1. Have some text in a spreadsheet (such as "I like chips in brown gravy")
2. Select the cell with it in
3. Double click on the word brown in the formula editor text box
  
Actual results:
Throwback:

0xbf8afe: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1dafe
0xbf934c: /usr/lib/openoffice.org2.0/program/libuno_sal.so.3 + 0x1e34c
0x6e2420:  + 0x420 (__kernel_sigreturn + 0x0)
0xb3d4871c: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x27f71c
0xb3d3785e: /usr/lib/openoffice.org2.0/program/libsvx680li.so + 0x26e85e
(EditView::SetSelection(ESelection const&) + 0x3c)
0xb4471f5b: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0xeff5b
0xb4471fdf: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0xeffdf
0xb447381c: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0xf181c
0xb446447b: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0xe247b
0xb44795cd: /usr/lib/openoffice.org2.0/program/libsc680li.so + 0xf75cd
0x27f5c86: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d5c86
0x27f72fd: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d72fd
0x27f6149: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x1d6149
0x42b408: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1a408
0x42b276: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0x1a276
0xed9352: /usr/lib/libgtk-x11-2.0.so.0 + 0x10b352
0x52c475: /usr/lib/libgobject-2.0.so.0 + 0x8475 (g_closure_invoke + 0x10a)
0x53c176: /usr/lib/libgobject-2.0.so.0 + 0x18176
0x53d925: /usr/lib/libgobject-2.0.so.0 + 0x19925 (g_signal_emit_valist + 0x448)
0x53df19: /usr/lib/libgobject-2.0.so.0 + 0x19f19 (g_signal_emit + 0x29)
0xfb4ac3: /usr/lib/libgtk-x11-2.0.so.0 + 0x1e6ac3
0xed7ab7: /usr/lib/libgtk-x11-2.0.so.0 + 0x109ab7 (gtk_propagate_event + 0xc1)
0xed7ef4: /usr/lib/libgtk-x11-2.0.so.0 + 0x109ef4 (gtk_main_do_event + 0x329)
0x46ed6e: /usr/lib/libgdk-x11-2.0.so.0 + 0x3bd6e
0x17a0f3e: /usr/lib/libglib-2.0.so.0 + 0x23f3e (g_main_context_dispatch + 0x1dc)
0x17a3f46: /usr/lib/libglib-2.0.so.0 + 0x26f46
0x17a4428: /usr/lib/libglib-2.0.so.0 + 0x27428 (g_main_context_iteration + 0x66)
0x41b4d9: /usr/lib/openoffice.org2.0/program/libvclplug_gtk680li.so + 0xa4d9
0x9a7af41: /usr/lib/openoffice.org2.0/program/libvclplug_gen680li.so + 0x48f41
(X11SalInstance::Yield(unsigned char) + 0x29)
0x26a8850: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x88850
(Application::Yield() + 0x50)
0x26a888e: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8888e
(Application::Execute() + 0x26)
0x80667c7: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x3c7c7
(desktop::Desktop::Main() + 0x14a3)
0x26adc73: /usr/lib/openoffice.org2.0/program/libvcl680li.so + 0x8dc73 (SVMain()
+ 0x45)
0x80618cb: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x378cb (sal_main +
0x47)
0x5a0de6: /lib/libc.so.6 + 0x14de6 (__libc_start_main + 0xc6)
0x8061801: /usr/lib/openoffice.org2.0/program/soffice.bin + 0x37801
(Window::RequestHelp(HelpEvent const&) + 0x31)

Expected results:
Word should have been selected

Additional info:

Comment 1 Caolan McNamara 2005-06-28 12:00:03 UTC
No crash in 1.9.112


Note You need to log in before you can comment on or make changes to this bug.